com.amazonaws.services.codedeploy.model

## Class StopDeploymentRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.StopDeploymentRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class StopDeploymentRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a stop deployment operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`StopDeploymentRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StopDeploymentRequest` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getAutoRollbackEnabled()` Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.
`String` `getDeploymentId()` The unique ID of a deployment.
`int` `hashCode()`
`Boolean` `isAutoRollbackEnabled()` Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.
`void` `setAutoRollbackEnabled(Boolean autoRollbackEnabled)` Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.
`void` `setDeploymentId(String deploymentId)` The unique ID of a deployment.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StopDeploymentRequest` `withAutoRollbackEnabled(Boolean autoRollbackEnabled)` Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.
`StopDeploymentRequest` `withDeploymentId(String deploymentId)` The unique ID of a deployment.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopDeploymentRequest

    public StopDeploymentRequest()

### Method Detail

#### setDeploymentId

    public void setDeploymentId(String deploymentId)

The unique ID of a deployment.

Parameters:
  `deploymentId` - The unique ID of a deployment.

#### getDeploymentId

    public String getDeploymentId()

The unique ID of a deployment.

Returns:
  The unique ID of a deployment.

#### withDeploymentId

    public StopDeploymentRequest withDeploymentId(String deploymentId)

The unique ID of a deployment.

Parameters:
  `deploymentId` - The unique ID of a deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAutoRollbackEnabled

    public void setAutoRollbackEnabled(Boolean autoRollbackEnabled)

Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

Parameters:
  `autoRollbackEnabled` - Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

#### getAutoRollbackEnabled

    public Boolean getAutoRollbackEnabled()

Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

Returns:
  Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

#### withAutoRollbackEnabled

    public StopDeploymentRequest withAutoRollbackEnabled(Boolean autoRollbackEnabled)

Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

Parameters:
  `autoRollbackEnabled` - Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isAutoRollbackEnabled

    public Boolean isAutoRollbackEnabled()

Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

Returns:
  Indicates, when a deployment is stopped, whether instances that have been updated should be rolled back to the previous version of the application revision.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StopDeploymentRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`